# PowerFeather-SDK

The following boards are supported:

| Board                 | Arduino Support | ESP-IDF Support   |
|-----------------------|-----------------|-------------------|
| ESP32-S3 PowerFeather | Yes             | Yes               |

## Setup

Setup for supported platforms is documented on [docs.powerfeather.dev/sdk/setup](https://docs.powerfeather.dev/sdk/setup).

## Examples

### Arduino

- [EnterShipMode](https://github.com/PowerFeather/powerfeather-sdk/tree/main/examples/EnterShipMode) - Demonstrates how to enter ship mode for Arduino.
- [SupplyAndBatteryInfo](https://github.com/PowerFeather/powerfeather-sdk/tree/main/examples/SupplyAndBatteryInfo) - Demonstrates how to retrieve basic information about the external supply and battery for Arduino.

### ESP-IDF

- [enter_ship_mode](https://github.com/PowerFeather/powerfeather-sdk/tree/main/examples/enter_ship_mode) - Demonstrates how to enter ship mode for ESP-IDF.
- [supply_and_battery_info](https://github.com/PowerFeather/powerfeather-sdk/tree/main/examples/supply_and_battery_info) - Demonstrates how to retrieve basic information about the external supply and battery for ESP-IDF.


## Links

- [Discussions](https://forum.powerfeather.dev/t/firmware-sdk)
- [Issue Tracker](https://github.com/PowerFeather/powerfeather-sdk/issues)
- [Repository](https://github.com/PowerFeather/powerfeather-sdk.git)
- [Documentation](https://docs.powerfeather.dev/category/sdk)
